<?php

require_once 'core/system.php';


head('Таланты');


?><div class="cito-name"> Таланты (<?=$user['train']?>)</div><?




reg();
$dop=$dbc->query("SELECT * FROM `dop`where `user`= '".$user['id']."' ")->fetch_assoc();

if(isset($_GET['total'])){   if($user['gold']<50){ $_SESSION['message']='Не достаточно золота'; header('location: talant.php');exit;}







$dbc->query("update `users` set `train`=`train`+'".$dop['total_tal']."' , `gold`=`gold`-50 where `id`='".$user['id']."' ");    


$dbc->query("update `dop` set `total_tal`=0,`tal_cuz`=0,`tal_col`=0 where `user`='".$user['id']."' ");    








header('location:talant.php');exit();


} 
$cuz_pice = 1+$dop['tal_cuz'];
   $col_pice = 1+$dop['tal_col'];

if(isset($_GET['cuz'])){   if($user['train']<$cuz_pice){ $_SESSION['message']='Не достаточно очков для распределения'; header('location: talant.php');exit;}

if($dop['tal_cuz']>=10){ header('location: talant.php');exit;}






$dbc->query("update `users` set `train`=`train`-'".$cuz_pice."' where `id`='".$user['id']."' ");    

$dbc->query("update `dop` set `total_tal`=`total_tal`+'".$cuz_pice."', `tal_cuz`=`tal_cuz`+1 where `user`='".$user['id']."' ");    





header('location:talant.php');exit();


}


if(isset($_GET['col'])){   if($user['train']<$col_pice){ $_SESSION['message']='Не достаточно очков для распределения'; header('location: talant.php');exit;}


if($dop['tal_col']>=10){ header('location: talant.php');exit;}




$dbc->query("update `users` set `train`=`train`-'".$col_pice."' where `id`='".$user['id']."' ");    


$dbc->query("update `dop` set `total_tal`=`total_tal`+'".$col_pice."', `tal_col`=`tal_col`+1 where `user`='".$user['id']."' ");    






header('location:talant.php');exit();


} 









if($dop['tal_cuz']<10){ $knop_cuz ='  <center><a href="talant.php?cuz"><input class="btn big" type="submit" value="Улучшить За '.$cuz_pice.'"></a></center>'; }else{ $knop_cuz = '';}

if($dop['tal_col']<10){ $knop_col ='  <center><a href="talant.php?col"><input class="btn big" type="submit" value="Улучшить За '.$col_pice.'"></a></center>'; }else{ $knop_cul = '';}










?><div class="b-panel-new dblue-panel bordered mt2"><div class="panel-inner-2"><div class="font-small text-italic c-verygray"><img src="img/icon/tal.png"><font color="red">Кузнец</font> : Каждый Уровень таланта повышает получаемый опыт разбора на 1 и серебро на 5 <center></br><span class="info">Уровень <?=$dop['tal_cuz']?>/10</center></span><?=$knop_cuz?></div></div></div><?



?><div class="b-panel-new dblue-panel bordered mt2"><div class="panel-inner-2"><div class="font-small text-italic c-verygray"><img src="img/icon/tal.png"><font color="red">Коллекционер</font> : Повышая  Уровень этого таланта шанс найти редкую или эпическую вещь увеличивается на 1% <center></br><span class="info">Уровень <?=$dop['tal_col']?>/10</center></span><?=$knop_col?></div></div></div><?










?><div class="b-panel-new dblue-panel bordered mt2"><div class="panel-inner-2"><div class="font-small text-italic c-verygray">Вы можете сбросить все таланты. стоимость <img src="img/money/money.png">50</center></span>   


<center><a href="talant.php?total"><input class="btn big" type="submit" value="Сбросить таланты"></a></center></div></div></div><?








foot();
